#	File:		Back2Front.make
#   Target:     Back2Front
#   Sources:    Back2Front.a Back2Front.c Back2Front.r
#   Created:    Wednesday, Mar. 22, 1994
#
#	Makefile for a page-reversing printing extension.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	 3/22/94 - dmh - Created.
#	 8/24/94 - dmh - Finalized.
#	 6/14/96 - cn  - Updated to support MPW Pro #19.

#	Alias to the path for the GX interface files.

INTPATH = "{CIncludes}"

#	Creator type we'll use:

kCreator = 'B2Fr'


OBJECTS = Back2Front.a.o Back2Front.c.o
AsmOptions		= -sym off -i {INTPATH} -case obj
CompileOptions	= -opt full -d applec -b2 -r -i {INTPATH}

Back2Front.a.o  Back2Front.make Back2Front.a
	 Asm {AsmOptions} Back2Front.a
Back2Front.c.o  Back2Front.make Back2Front.c
	 SC {CompileOptions} Back2Front.c

Back2Front  Back2Front.make Back2Front.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			"{Libraries}MacRuntime.o"		
			-o Back2Front;
	SetFile Back2Front -a iB;
	Rez -i {INTPATH} -rd -o Back2Front Back2Front.r -append 
